Subject: Re: bug#73874: 29.4; Inconsistent cl-loop behavior with Common Lisp

From: Stefan Kangas <[email-masked]>
Date: Wed, 1 Jan 2025 20:13:25 -0600

[Please use "Reply to all" to record the discussion in the bug tracker.]

Bohong Huang <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Is this a duplicate of Bug#72753?
>>
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72753
>
> This doesn't seem to be the same issue. The report you mentioned is
> about incorrect results of the loop value in the `finally` block,
> whereas this issue is during the loop where variables `j` and `k` are
> not correctly assigned. Through debugging, it can be observed that the
> assignment expressions `(1 - i)` and `(1 + i)` are evaluated only once
> despite multiple iterations.